%{?mingw_package_header}

%global snapshot_rev 147

Name:           mingw-plibc
Version:        0.1.7
Release:        0.2.20130812svn%{snapshot_rev}%{?dist}
Summary:        MinGW package for plibc

License:        LGPLv2+
URL:            http://plibc.sourceforge.net/
# SourceForge CRM links change often
# Nagivate your web browser to http://sourceforge.net/p/plibc/code/%{snapshot_rev}/tarball?path=/trunk
Source0:        plibc-code-%{snapshot_rev}-trunk.zip
# include fix, sent upstream
Patch100:       plibc-mingw-include.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc

BuildRequires:  autoconf automake libtool libtool-ltdl-devel


%description
plibc - POSIX compliant libc extension for Windows


# Mingw32
%package -n mingw32-plibc
Summary:        %{summary}

%description -n mingw32-plibc
plibc - POSIX compliant libc extension for Windows


# Mingw64
%package -n mingw64-plibc
Summary:        %{summary}


%description -n mingw64-plibc
plibc - POSIX compliant libc extension for Windows


%?mingw_debug_package


%prep
%setup -q -n plibc-code-147-trunk/plibc
%patch100 -p2 -b .mingw-include


%build
sh ./bootstrap
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT


# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-plibc
%doc COPYING
%{mingw32_bindir}/libplibc-1.dll
%{mingw32_includedir}/langinfo.h
%{mingw32_includedir}/plibc.h
%{mingw32_libdir}/libplibc.dll.a


# Win64
%files -n mingw64-plibc
%doc COPYING
%{mingw64_bindir}/libplibc-1.dll
%{mingw64_includedir}/langinfo.h
%{mingw64_includedir}/plibc.h
%{mingw64_libdir}/libplibc.dll.a


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-0.2.20130812svn147
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Michael Cronenworth <mike@cchtml.com> - 0.1.7-0.1.20130812svn147
- Initial RPM release.

